# ../scripts/custom/gg_ffa/gg_ffa_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_ffa instance
        with config.cfg_cvar('gg_ffa') as cvar:

            cvar.name = 'FREE FOR ALL'
            cvar.description.append(
                'Every man for himself.  There are no teams')
            cvar.options.append('0 = (Disabled) Do not load gg_ffa.')
            cvar.options.append('1 = (Enabled) Load gg_ffa')
            cvar.default = 0
            cvar.text = 'Every man for himself.'
