# ../scripts/custom/gg_ffa/modules/flashed.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# EventScripts Imports
#   ES
from es import getplayerprop
#   Gamethread
from gamethread import cancelDelayed
from gamethread import delayedname


# =============================================================================
# >> CLASSES
# =============================================================================
class _FlashedPlayers(set):
    '''Class used to store players that are flashed by a flashbang'''

    def add(self, userid):
        '''Method used to add players to the set'''

        # Typecast the userid to an integer
        userid = int(userid)

        # Cancel the delay, in case one already exists
        cancelDelayed('gg_ffa_radar_%s' % userid)

        # Call a delay to remove the player when they are no longer flashed
        delayedname(
            getplayerprop(userid, 'CCSPlayer.m_flFlashDuration'),
            'gg_ffa_radar_%s' % userid, self.discard, userid)

        # Add the player to the set
        super(_FlashedPlayers, self).add(userid)

    def discard(self, userid):
        '''Method used to remove a player from the set'''

        # Typecast the userid to an integer
        userid = int(userid)

        # Cancel the delay, in case this is being called from player_death
        cancelDelayed('gg_ffa_radar_%s' % userid)

        # Remove the player from the set
        super(_FlashedPlayers, self).discard(userid)

# Create the instance of _FlashedPlayers
flashed_players = _FlashedPlayers()
